Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CDistributedSmoothNodeBase Class Reference

This class defines some basic methods of DistributedSmoothNodeBase which have been moved into C++ as a performance optimization. More...

`#include "cDistributedSmoothNodeBase.h"`

## Public Member Functions
void | broadcast_pos_hpr_full ()
| Examines the complete pos/hpr information to see which of the six elements have changed, and broadcasts the appropriate messages.
void | broadcast_pos_hpr_xy ()
| Examines only X and Y of the pos/hpr information, and broadcasts the appropriate messages.
void | broadcast_pos_hpr_xyh ()
| Examines only X, Y, and H of the pos/hpr information, and broadcasts the appropriate messages.
void | initialize (const NodePath &node_path, DCClass *dclass, CHANNEL_TYPE do_id)
| Initializes the internal structures from some constructs that are normally stored only in Python.
void | print_curr_l ()
void | send_everything ()
| Broadcasts the current pos/hpr in its complete form.
void | set_curr_l (uint64_t l)
| Appends the timestamp and sends the update.
void | set_repository (CConnectionRepository *repository, bool is_ai, CHANNEL_TYPE ai_id)
| Tells the C++ instance definition about the AI or Client repository, used for sending datagrams.

## Detailed Description

This class defines some basic methods of DistributedSmoothNodeBase which have been moved into C++ as a performance optimization.

Definition at line 31 of file cDistributedSmoothNodeBase.h.

## Constructor & Destructor Documentation

## ◆ CDistributedSmoothNodeBase()

CDistributedSmoothNodeBase::CDistributedSmoothNodeBase | ( |  | ) |

Definition at line 27 of file cDistributedSmoothNodeBase.cxx.

## ◆ ~CDistributedSmoothNodeBase()

CDistributedSmoothNodeBase::~CDistributedSmoothNodeBase | ( |  | ) |

Definition at line 44 of file cDistributedSmoothNodeBase.cxx.

## Member Function Documentation

## ◆ broadcast_pos_hpr_full()

void CDistributedSmoothNodeBase::broadcast_pos_hpr_full | ( |  | ) |

Examines the complete pos/hpr information to see which of the six elements have changed, and broadcasts the appropriate messages.

Definition at line 81 of file cDistributedSmoothNodeBase.cxx.

## ◆ broadcast_pos_hpr_xy()

void CDistributedSmoothNodeBase::broadcast_pos_hpr_xy | ( |  | ) |

Examines only X and Y of the pos/hpr information, and broadcasts the appropriate messages.

Definition at line 236 of file cDistributedSmoothNodeBase.cxx.

## ◆ broadcast_pos_hpr_xyh()

void CDistributedSmoothNodeBase::broadcast_pos_hpr_xyh | ( |  | ) |

Examines only X, Y, and H of the pos/hpr information, and broadcasts the appropriate messages.

Definition at line 186 of file cDistributedSmoothNodeBase.cxx.

## ◆ initialize()

void CDistributedSmoothNodeBase::initialize | ( | const NodePath & | node_path,
|  | DCClass * | dclass,
|  | CHANNEL_TYPE | do_id )

Initializes the internal structures from some constructs that are normally stored only in Python.

Also reads the current node's pos & hpr values in preparation for transmitting them via one of the broadcast_pos_hpr_*() methods.

Definition at line 54 of file cDistributedSmoothNodeBase.cxx.

## ◆ print_curr_l()

void CDistributedSmoothNodeBase::print_curr_l | ( |  | ) |

Definition at line 365 of file cDistributedSmoothNodeBase.cxx.

## ◆ send_everything()

void CDistributedSmoothNodeBase::send_everything | ( |  | ) |

Broadcasts the current pos/hpr in its complete form.

Definition at line 70 of file cDistributedSmoothNodeBase.cxx.

## ◆ set_curr_l()

void CDistributedSmoothNodeBase::set_curr_l | ( | uint64_t | l | ) |

Appends the timestamp and sends the update.

Definition at line 360 of file cDistributedSmoothNodeBase.cxx.

## ◆ set_repository()

void CDistributedSmoothNodeBase::set_repository | ( | CConnectionRepository * | repository,
|  | bool | is_ai,
|  | CHANNEL_TYPE | ai_id )
| inline

Tells the C++ instance definition about the AI or Client repository, used for sending datagrams.

Definition at line 18 of file cDistributedSmoothNodeBase.I.

The documentation for this class was generated from the following files:

- direct/src/distributed/cDistributedSmoothNodeBase.h
- direct/src/distributed/cDistributedSmoothNodeBase.cxx
- direct/src/distributed/cDistributedSmoothNodeBase.I